package com.flow;

import java.util.Map;

import retrofit2.Call;
import retrofit2.http.Body;
import retrofit2.http.Field;
import retrofit2.http.FormUrlEncoded;
import retrofit2.http.Header;
import retrofit2.http.POST;
import retrofit2.http.Path;

interface APIInterface {

    @FormUrlEncoded
    @POST("walkthrough/{userId}")
    Call<Void> saveWalkthrough(@Header("api_key") String apiKey, @Path("userId") String userId, @Field("data") String data);

    @FormUrlEncoded
    @POST("walkthrough/{userId}/fetch")
    Call<Map<String, String>> fetchWalkthrough(@Header("api_key") String apiKey, @Path("userId") String userId, @Field("deviceId") String deviceId);

    @FormUrlEncoded
    @POST("user/ingest")
    Call<Boolean> recordUserView(@Header("api_key") String apiKey, @Field("deviceId") String deviceId, @Field("walkthroughId") String walkthroughId, @Field("completed") boolean completed);

    @POST("walkthrough/{userId}/sdk/log")
    Call<Void> logError(@Header("api_key") String apiKey, @Path("userId") String userId, @Body String logs);
}