package com.flow;

import com.google.gson.annotations.SerializedName;
import com.google.gson.reflect.TypeToken;

import java.util.List;
import java.util.Map;

public class FetchWalkthroughResponseInternal {

    @SerializedName("screenId")
    private String screenId;

    @SerializedName("steps")
    private List<FlowDashCaptureViewModel> steps;

    @SerializedName("walkthroughId")
    private String walkthroughId;

    @SerializedName("nextScreenId")
    private String nextScreenId;

    @SerializedName("nextProps")
    private Map<String, Object> nextProps;

    @SerializedName("type")
    private String type;

    public Map<String, Object> getNextProps() {
        return nextProps;
    }

    public void setNextProps(Map<String, Object> nextProps) {
        this.nextProps = nextProps;
    }

    public FetchWalkthroughResponseInternal(String screenId, List<FlowDashCaptureViewModel> steps) {
        this.screenId = screenId;
        this.steps = steps;
    }

    public String getWalkthroughId() {
        return walkthroughId;
    }

    public void setWalkthroughId(String walkthroughId) {
        this.walkthroughId = walkthroughId;
    }

    public String getScreenId() {
        return screenId;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getNextScreenId() {
        return nextScreenId;
    }

    public void setNextScreenId(String nextScreenId) {
        this.nextScreenId = nextScreenId;
    }

    public List<FlowDashCaptureViewModel> getSteps() {
        return steps;
    }

    @Override
    public String toString() {
        return FlowDashUtils.createDefaultGson().toJson(this);
    }

    public static List<FetchWalkthroughResponseInternal> listFromJsonString(String stringfiedObject) {
        return FlowDashUtils.createDefaultGson().fromJson(stringfiedObject, new TypeToken<List<FetchWalkthroughResponseInternal>>() {
        }.getType());
    }

}
