package com.flow;

import com.google.gson.annotations.SerializedName;

public class FlowDashCaptureViewModel {
    private int nativeViewTag;
    private float left;
    private float top;
    private float width;
    private float heightScale;
    @SerializedName("viewIndex")
    private int viewIndex;
    private float widthScale;
    private String text;
    private boolean showIndex;
    private float borderRadius;
    @SerializedName("view")
    private String view;

    @SerializedName("scrollToView")
    private boolean scrollToView;

    @SerializedName("tooltipDirection")
    private int tooltipDirection;

    public int getTooltipDirection() {
        return tooltipDirection;
    }

    public void setTooltipDirection(int tooltipDirection) {
        this.tooltipDirection = tooltipDirection;
    }

    public boolean isShowIndex() {
        return showIndex;
    }

    public String getView() {
        return view;
    }

    public void setView(String view) {
        this.view = view;
    }

    public boolean getShowIndex() {
        return showIndex;
    }

    public void setShowIndex(boolean showIndex) {
        this.showIndex = showIndex;
    }

    public float getBorderRadius() {
        return borderRadius;
    }

    public void setBorderRadius(float borderRadius) {
        this.borderRadius = borderRadius;
    }

    public String getText() {
        return text;
    }

    public void setText(String text) {
        this.text = text;
    }

    public int getNativeViewTag() {
        return nativeViewTag;
    }

    public void setNativeViewTag(int nativeViewTag) {
        this.nativeViewTag = nativeViewTag;
    }

    public float getLeft() {
        return left;
    }

    public void setLeft(float left) {
        this.left = left;
    }

    public float getTop() {
        return top;
    }

    public void setScrollToView(boolean scrollToView) {
        this.scrollToView = scrollToView;
    }

    public boolean isScrollToView() {
        return scrollToView;
    }

    public void setTop(float top) {
        this.top = top;
    }

    public float getWidth() {
        return width;
    }

    public void setWidth(float width) {
        this.width = width;
    }

    public int getViewIndex() {
        return viewIndex;
    }

    public void setViewIndex(int viewIndex) {
        this.viewIndex = viewIndex;
    }

    public float getHeight() {
        return height;
    }

    public void setHeight(float height) {
        this.height = height;
    }

    private float height;

    public float getWidthScale() {
        return widthScale;
    }

    public void setWidthScale(float widthScale) {
        this.widthScale = widthScale;
    }

    public float getHeightScale() {
        return heightScale;
    }

    public void setHeightScale(float heightScale) {
        this.heightScale = heightScale;
    }

    public FlowDashCaptureViewModel(int nativeViewTag, float left, float top, float width, float height, String view, boolean showIndexView, int viewIndex, int tooltipDirection) {
        this.nativeViewTag = nativeViewTag;
        this.left = left;
        this.top = top;
        this.width = width;
        this.height = height;
        this.view = view;
        this.viewIndex = viewIndex;
        this.showIndex = showIndexView;
        this.tooltipDirection = tooltipDirection;
    }

    public FlowDashCaptureViewModel(FlowDashCapturedViewIndependant viewIndependant) {
        this.nativeViewTag = viewIndependant.getNativeId();
        this.left = viewIndependant.getLeftIndependant();
        this.top = viewIndependant.getTopIndependant();
        this.width = viewIndependant.getWidthIndependant();
        this.height = viewIndependant.getHeightIndependant();
        this.text = viewIndependant.getText();
        this.viewIndex = viewIndependant.getViewIndex();
        this.showIndex = viewIndependant.isShowIndex();
        this.view = viewIndependant.getView();
        this.scrollToView = viewIndependant.isScrollToView();
        this.tooltipDirection = viewIndependant.getTooltipDirection();
    }

    public String toJsonString() {
        return FlowDashUtils.createDefaultGson().toJson(this);
    }
}
