package com.flow;

import com.google.gson.annotations.SerializedName;

import java.io.Serializable;

public class FlowDashCapturedViewIndependant implements Serializable {

    @SerializedName("nativeViewTag")
    private int nativeId;

    @SerializedName("left")
    private float leftIndependant;

    @SerializedName("top")
    private float topIndependant;

    @SerializedName("width")
    private float widthIndependant;

    @SerializedName("height")
    private float heightIndependant;

    @SerializedName("viewIndex")
    private int viewIndex;

    @SerializedName("text")
    private String text;

    @SerializedName("borderRadius")
    private float borderRadius;

    @SerializedName("showIndex")
    private boolean showIndex;

    @SerializedName("view")
    private String view;

    @SerializedName("scrollToView")
    private boolean scrollToView;

    @SerializedName("tooltipDirection")
    private int tooltipDirection;

    public String getView() {
        return view;
    }

    public void setView(String view) {
        this.view = view;
    }

    public boolean isShowIndex() {
        return showIndex;
    }

    public void setShowIndex(boolean showIndex) {
        this.showIndex = showIndex;
    }

    public float getBorderRadius() {
        return borderRadius;
    }

    public void setBorderRadius(float borderRadius) {
        this.borderRadius = borderRadius;
    }

    public String getText() {
        return text;
    }

    public void setText(String text) {
        this.text = text;
    }

    public FlowDashCapturedViewIndependant() {
    }

    public FlowDashCapturedViewIndependant(FlowDashCaptureViewModel viewModel) {
        this.setLeftIndependant(viewModel.getLeft());
        this.setTopIndependant(viewModel.getTop());
        this.setWidthIndependant(viewModel.getWidth());
        this.setHeightIndependant(viewModel.getHeight());
        this.setNativeId(viewModel.getNativeViewTag());
        this.setViewIndex(viewModel.getViewIndex());
        this.setText(viewModel.getText());
        this.setView(viewModel.getView());
        this.setShowIndex(viewModel.getShowIndex());
        this.setScrollToView(viewModel.isScrollToView());
        this.setTooltipDirection(viewModel.getTooltipDirection());
    }


    public int getNativeId() {
        return nativeId;
    }

    public void setNativeId(int nativeId) {
        this.nativeId = nativeId;
    }

    public float getLeftIndependant() {
        return leftIndependant;
    }

    public void setLeftIndependant(float leftIndependant) {
        this.leftIndependant = leftIndependant;
    }

    public float getTopIndependant() {
        return topIndependant;
    }

    public void setTopIndependant(float topIndependant) {
        this.topIndependant = topIndependant;
    }

    public float getWidthIndependant() {
        return widthIndependant;
    }

    public void setWidthIndependant(float widthIndependant) {
        this.widthIndependant = widthIndependant;
    }

    public float getHeightIndependant() {
        return heightIndependant;
    }

    public void setHeightIndependant(float heightIndependant) {
        this.heightIndependant = heightIndependant;
    }

    public int getViewIndex() {
        return viewIndex;
    }

    public boolean isScrollToView() {
        return scrollToView;
    }

    public void setScrollToView(boolean scrollToView) {
        this.scrollToView = scrollToView;
    }

    public void setViewIndex(int viewIndex) {
        this.viewIndex = viewIndex;
    }


    public String toJsonString() {
        return FlowDashUtils.createDefaultGson().toJson(this);
    }

    public boolean isDependent() {
        return this.getViewIndex() != FlowdashConstants.INDEPENDENT_VIEW;
    }

    public int getTooltipDirection() {
        return tooltipDirection;
    }

    public void setTooltipDirection(int tooltipDirection) {
        this.tooltipDirection = tooltipDirection;
    }
}