package com.flow;

public class Flowdash {

    public enum LogLevel {
        OFF(-3),
        ERROR(-2),
        FATAL(-1),
        WARN(0),
        INFO(1),
        DEBUG(2);

        private final int value;

        LogLevel(final int newValue) {
            value = newValue;
        }

        public int intValue() {
            return value;
        }
    }

    private static boolean logErrorsInUse = false;

    private static int logLevel = -3; // No logging by default

    public static void setLogLevel(LogLevel newLogLevel) {
        logLevel = newLogLevel.intValue();
    }

    public static int getLogLevel() {
        return logLevel;
    }

    public static void enableErrorLogsInUsage() {
        logErrorsInUse = true;
    }

    public static boolean isErrorLoggingEnabled() {
        return logErrorsInUse;
    }
}
