package com.flow;

import android.util.Log;

public final class Logger {

    public static void d(String message) {
        if (getStaticLogLevel() >= Flowdash.LogLevel.DEBUG.intValue()) {
            Log.d(FlowdashConstants.FLOWDASH_TAG, message);
        }
    }

    public static void d(String suffix, String message) {
        if (getStaticLogLevel() >= Flowdash.LogLevel.DEBUG.intValue()) {
            Log.d(FlowdashConstants.FLOWDASH_TAG + ":" + suffix, message);
        }
    }

    public static void d(String suffix, String message, Throwable t) {
        if (getStaticLogLevel() >= Flowdash.LogLevel.DEBUG.intValue()) {
            Log.d(FlowdashConstants.FLOWDASH_TAG + ":" + suffix, message, t);
        }
    }

    public static void d(String message, Throwable t) {
        if (getStaticLogLevel() >= Flowdash.LogLevel.DEBUG.intValue()) {
            Log.d(FlowdashConstants.FLOWDASH_TAG, message, t);
        }
    }

    public static void i(String message) {
        if (getStaticLogLevel() >= Flowdash.LogLevel.INFO.intValue()) {
            Log.i(FlowdashConstants.FLOWDASH_TAG, message);
        }
    }

    public static void i(String suffix, String message) {
        if (getStaticLogLevel() >= Flowdash.LogLevel.INFO.intValue()) {
            Log.i(FlowdashConstants.FLOWDASH_TAG + ":" + suffix, message);
        }
    }

    public static void i(String suffix, String message, Throwable t) {
        if (getStaticLogLevel() >= Flowdash.LogLevel.INFO.intValue()) {
            Log.i(FlowdashConstants.FLOWDASH_TAG + ":" + suffix, message, t);
        }
    }

    public static void i(String message, Throwable t) {
        if (getStaticLogLevel() >= Flowdash.LogLevel.INFO.intValue()) {
            Log.i(FlowdashConstants.FLOWDASH_TAG, message, t);
        }
    }

    public static void w(String message) {
        if (getStaticLogLevel() >= Flowdash.LogLevel.WARN.intValue()) {
            Log.w(FlowdashConstants.FLOWDASH_TAG, message);
        }
    }

    public static void w(String suffix, String message) {
        if (getStaticLogLevel() >= Flowdash.LogLevel.WARN.intValue()) {
            Log.w(FlowdashConstants.FLOWDASH_TAG + ":" + suffix, message);
        }
    }

    public static void w(String suffix, String message, Throwable t) {
        if (getStaticLogLevel() >= Flowdash.LogLevel.WARN.intValue()) {
            Log.w(FlowdashConstants.FLOWDASH_TAG + ":" + suffix, message, t);
        }
    }

    public static void w(String message, Throwable t) {
        if (getStaticLogLevel() >= Flowdash.LogLevel.WARN.intValue()) {
            Log.w(FlowdashConstants.FLOWDASH_TAG, message, t);
        }
    }

    public static void v(String message) {
        if (getStaticLogLevel() > Flowdash.LogLevel.DEBUG.intValue()) {
            Log.v(FlowdashConstants.FLOWDASH_TAG, message);
        }
    }

    public static void v(String suffix, String message) {
        if (getStaticLogLevel() > Flowdash.LogLevel.DEBUG.intValue()) {
            Log.v(FlowdashConstants.FLOWDASH_TAG + ":" + suffix, message);
        }
    }

    public static void v(String suffix, String message, Throwable t) {
        if (getStaticLogLevel() > Flowdash.LogLevel.DEBUG.intValue()) {
            Log.v(FlowdashConstants.FLOWDASH_TAG + ":" + suffix, message, t);
        }
    }

    public static void v(String message, Throwable t) {
        if (getStaticLogLevel() > Flowdash.LogLevel.DEBUG.intValue()) {
            Log.v(FlowdashConstants.FLOWDASH_TAG, message, t);
        }
    }

    public static void e(String message) {
        if (getStaticLogLevel() >= Flowdash.LogLevel.ERROR.intValue()) {
            Log.e(FlowdashConstants.FLOWDASH_TAG, message);
        }
    }

    public static void e(String suffix, String message) {
        if (getStaticLogLevel() >= Flowdash.LogLevel.ERROR.intValue()) {
            Log.e(FlowdashConstants.FLOWDASH_TAG + ":" + suffix, message);
        }
        FlowdashNativeModule.logRealTimeErrors(FlowdashConstants.FLOWDASH_TAG + ":" + suffix + " : " + message);
    }

    public static void e(String suffix, String message, Throwable t) {
        if (getStaticLogLevel() >= Flowdash.LogLevel.ERROR.intValue()) {
            Log.e(FlowdashConstants.FLOWDASH_TAG + ":" + suffix, message, t);
        }
        FlowdashNativeModule.logRealTimeErrors(FlowdashConstants.FLOWDASH_TAG + ":" + suffix + " : " + message + " : " + FlowDashUtils.getStackTrace(t));
    }

    public static void e(String message, Throwable t) {
        if (getStaticLogLevel() >= Flowdash.LogLevel.ERROR.intValue()) {
            Log.e(FlowdashConstants.FLOWDASH_TAG, message, t);
        }
        FlowdashNativeModule.logRealTimeErrors(FlowdashConstants.FLOWDASH_TAG + ":" + message + " : " + FlowDashUtils.getStackTrace(t));

    }

    public static int getStaticLogLevel() {
        return Flowdash.getLogLevel();
    }
}
